#include <bits/stdc++.h>

using namespace std;

void solve()
{
    int n;cin >> n;
    vector<int> vx(n);
    vector<int> vy(n);
    vector<int> vz(n);
    for(int i = 0; i < n; i++)
    {
        cin >> vx[i];
    }
    for(int i = 0; i < n; i++)
    {
        cin >> vy[i];
    }
    vector <int> bry(n);
    vector <int> brz(n);
    vector <int> brx(n);
    for(int i = 0; i < n; i++)
    {
        cin >> vz[i];
        bry[vy[i]-1]++;
        brx[vx[i]-1]++;
        brz[vz[i]-1]++;
    }
        int sum=0;
        long long ans=0;
        for(int i = 0; i < n;i++)
        {
            ans+=brx[vy[i]-1]*brz[i];
        }
        cout << ans << endl;
}

int main()
{
    solve();
    return 0;
}